SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1800513 - Generate test fails when updating deps
Summary: Generate test fails when updating deps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Lili Cosic
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1800519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-07 10:10 UTC by Lili Cosic
Modified: 2020-03-10 09:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-19 05:40:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 649 None closed Bug 1800513: assets,jsonnet,pkg: Fix generate check 2020-05-13 11:28:14 UTC
Red Hat Product Errata RHBA-2020:0492 None None None 2020-02-19 05:40:27 UTC

Description Lili Cosic 2020-02-07 10:10:25 UTC
Description of problem:
Whenever adding new changes, the generate check fails because we have not run jb update.

Comment 2 Junqi Zhao 2020-02-10 04:30:21 UTC
@Lili
Tested with 4.3.0-0.nightly-2020-02-09-195913, I see the fix is in the image, example
# oc -n openshift-monitoring get deploy prometheus-operator -oyaml 
...
  labels:
    app.kubernetes.io/component: controller
    app.kubernetes.io/name: prometheus-operator
    app.kubernetes.io/version: v0.34.1
...
  template:
    metadata:
      creationTimestamp: null
      labels:
        app.kubernetes.io/component: controller
        app.kubernetes.io/name: prometheus-operator
        app.kubernetes.io/version: v0.34.1
...

But I see in the prometheus-operator pod's log, the vesion is still 0.34.0, should it be 0.34.1?
# oc -n openshift-monitoring logs prometheus-operator-98d6fb856-99rsl | head
ts=2020-02-10T02:36:20.910391444Z caller=main.go:199 msg="Starting Prometheus Operator version '0.34.0'."

Since the issue in this bug is fixed, close it, if the report version is wrong, will file another bug

Comment 3 Lili Cosic 2020-02-10 10:56:30 UTC
We will need a new bugzilla for that, as we want to port the fix to 4.3 as well. But thats separate from this, so new bugzilla is correct for 4.3 to have 0.34.1.

Comment 5 errata-xmlrpc 2020-02-19 05:40:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0492


Note You need to log in before you can comment on or make changes to this bug.